Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008555TestLinkTest Spec / Test Suite Pseudo Word Reportpublic2019-01-31 10:222019-04-29 10:25
Reporteromi 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSWindows 10 ProOS Version1803
Product Version1.9.19 (2019 Q1) 
Fixed in Version1.9.20 Raijing DEV 
Summary0008555: Error while Saving a Edited Test Suite
DescriptionFatal error: Uncaught ArgumentCountError: Too few arguments to function initializeGui(), 3 passed in C:\xampp\htdocs\Testlink\lib\testcases\containerEdit.php on line 208 and exactly 4 expected in C:\xampp\htdocs\Testlink\lib\testcases\containerEdit.php:1342 Stack trace: #0 C:\xampp\htdocs\Testlink\lib\testcases\containerEdit.php(208): initializeGui(Object(testsuite), 4, Object(stdClass)) #1 {main} thrown in C:\xampp\htdocs\Testlink\lib\testcases\containerEdit.php on line 1342
Steps To Reproduce1.Create a Test Suite
2.Select test suite from the tree structure on the left panel and click the settings
3.Click the Edit (pencil) icon
4.It opens the Test Suite details on the edit page.
5.Edit Name fields and click the Save button to update the test suite.
Additional InformationUsing Testlink 1.9.19[Dev] (Metonic cycle)
SHOW server_version;
TagsNo tags attached.
Database (MySQL,Postgres,etc)Protocol version: 10
BrowserChrome
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
has duplicate 0008590resolvedfman Edit Test Suite Name succeed but GUI report a fatal error 
has duplicate 0008652resolvedfman fatal error updating Test Suite Details 
child of 0008549assignedfman Availables hot-fixes for 1.9.19 & How To get full fixed package from GitHub 

-  Notes
(0028488)
fman (administrator)
2019-01-31 21:40

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/67fc17430b2e709a8f48363dc4422d6337ffd9ec [^]

- Issue History
Date Modified Username Field Change
2019-01-31 10:22 omi New Issue
2019-01-31 11:32 fman QA Team - Task Workflow Status => TBD
2019-01-31 11:32 fman Priority immediate => normal
2019-01-31 11:32 fman Product Version => 1.9.19 (2019 Q1)
2019-01-31 21:40 fman Note Added: 0028488
2019-01-31 21:40 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2019-01-31 21:40 fman Status new => resolved
2019-01-31 21:40 fman Fixed in Version => 1.9.20 Raijing DEV
2019-01-31 21:40 fman Resolution open => fixed
2019-01-31 21:40 fman Assigned To => fman
2019-03-11 09:43 fman Relationship added has duplicate 0008590
2019-04-29 10:22 fman Relationship added has duplicate 0008652
2019-04-29 10:25 fman Relationship added child of 0008549



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker